A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
atanh
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Hyperbolic functions

## Functions
array | atanh (const array &in)
| C++ Interface to evaluate the inverse hyperbolic tangent function.
af_err | af_atanh (af_array *out, const af_array in)
| C Interface to evaluate the inverse hyperbolic tangent function.

## Detailed Description

Evaluate the inverse hyperbolic tangent function (area hyperbolic tangent).

## Function Documentation

## ◆ af_atanh()

af_err af_atanh | ( | af_array * | out,
|  | const af_array | in )

C Interface to evaluate the inverse hyperbolic tangent function.

Parameters

  [out] | out | inverse hyperbolic tangent
  [in] | in | input

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ atanh()

array atanh | ( | const array & | in | ) |

C++ Interface to evaluate the inverse hyperbolic tangent function.

Parameters

  [in] | in | input array

Returns
  inverse hyperbolic tangent